View Issue Details

IDProjectCategoryView StatusLast Update
0000124Cinelerra-GG[All Projects] Bugpublic2019-02-16 21:32
ReporterPierreAssigned ToPhyllisSmith 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Platformi7-3770k, 32GB(ram), GTX-750TiOSLinux Mint MateOS Version18.3
Product Version 
Target VersionFixed in Version 
Summary0000124: Test with "ShuttleXpress" and "ShuttlePRO v2"
DescriptionAs the previous file on the same subject has been closed, I am opening a new one

I am currently testing the use and preferred configurations of CONTOUR's two Jog-shuttle Type controllers.

I started a small documentary type editing from an old shooting I had done a few years ago but which I had never edited before. It will allow me to evaluate the usefulness of these controllers in a real editing work.

I will start this editing using the most rudimentary model, the "ShuttleXpress". Once I have configured it to my liking, I will replace it with "ShuttlePRO v2" and apply the same process to continue editing. I don't think I'm going to stretch this test over a period of more than a few days.

I will summarize this experience in the Forum once this test is completed.

But I will indicate here the problems I will find, if any, as I go through my test.
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-02-16 21:32

manager   ~0000925

Pierre: I am waiting until business hours on Monday to send email and information to Contour about: "firmware problem of the electronic circuits" possibility. And GG thinks it would require reburning (by that I think he means what you said of updating the firmware). We will have to wait and see if CONTOUR comes back with any suggestions.

We may have to live with the "problem of latency and hesitation in the fast alternations, of the Jog". I do not know yet. GG is still working the playback/speed/lock problems, but I do not think that it is related.

I will look at your Key suggestions. K1-K4 just got assigned the way the did as I just made them up and do not think currently they are all that practical. K10 and K11 of the new option may not be all that easy but I will ask.
Pierre

Pierre

2019-02-16 21:04

updater   ~0000924

Is it possible that the bugs in the K14 and K15 buttons (not correctly sending a "done") of the new ShuttlePRO v2, are actually a firmware problem of the electronic circuits of these shuttles, which could be fixed by an update of the firmware by their manufacturer CONTOUR?

It's nice to see K14 and K15 working...

As for the other buttons, here are my suggestions:

As for the reappropriation of K10 and K11 in the VIEWER, if it were possible, I would rather entrust them with the two-way presentation of the different sequences (white) already used in the source in the Viewer (I know that this would be a new option).

For the top row of buttons, I think we could reassign differently
K1 "i" # Clip
K2 "x" # Cut
K3 "c" # Copy Copy
K4 "v" # Paste

Cut, Copy and Paste are used everywhere in computing and their keyboard shortcuts are well known, it is not necessary to assign them K2, K3 and K4.
Instead, I propose to attribute to
K1 "l" # Add label at position (useful in all modes[Viewer]/[Compose]/[Cinelerra])
K4 "i" # Clip
And to wait until we have a good idea for the allocation of K2 and K3 (maybe reserve them for work on Keyframes?).

The problem of the Jog, in the Viewer, which instantly passed from the first frame to the last frame of a segment, is solved.

On the other hand, the problem of latency and hesitation in the fast alternations, of the Jog, is still present.

Translated with www.DeepL.com/Translator
PhyllisSmith

PhyllisSmith

2019-02-16 04:35

manager   ~0000916

Pierre: the 2.0 version of the ShuttlePro was not correctly sending a "done" for K14 and K15. GG has been able to directly code the USB method since he has complete control over that. The alternative of using the linux hid driver would take months (if ever) to get the various distros to implement in the kernel. Another new Mint 18 is available at BUT it has an UNDO (z shortcut) problem:

   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz

1) You will have to make sure to remove the # in front of USB_DIRECT in your shuttlerc file. There is a new one in the cinelerra path that has K14 and K15 as [ and ]. And K10/K11 in the Viewer are redefined as loop play and add label.
2) Please verify that your /etc/udev//etc/udev/rules.d/99-ShuttlePro.rules contains all of these lines:

ATTRS{name}=="Contour Design ShuttlePRO v2" MODE="0644"
ATTRS{name}=="Contour Design ShuttleXpress" MODE="0644"
ATTRS{name}=="Contour Design ShuttlePro" MODE="0644"
SUBSYSTEMS=="usb", ATTRS{idVendor}=="0b33", ATTRS{idProduct}=="0020", MODE="0666"
SUBSYSTEMS=="usb", ATTRS{idVendor}=="0b33", ATTRS{idProduct}=="0030", MODE="0666"

3) You will have to stop cinelerra, and unplug the ShuttlePro, and plug in again before starting cinelerra. If not working right away, try unplugging a couple of times.

A fix for the bug you found earlier in the Viewer where if you turn the Jog forward, it immediately jumps to the end image of the segment is included.

I hope I did not forget anything.
PhyllisSmith

PhyllisSmith

2019-02-15 22:52

manager   ~0000914

MatN: "missing libusb-1.0-0-dev" - we will get a resolution for this by the end of the month. The Direct USB code, which used libusb, was written to help determine the difference between 1.7 and 2.0 of our older shuttlePro and Pierre's newer one. But it did not help.

Pierre: "if I turn the Jog forward, it immediately jumps to the end image of the segment" - you found a bug that is not just the jog, but the first single frame forward key pad 1, jumps to the end also. Have duplicated here so can work on fixing that.

GOOD NEWS here. A new model shuttle pro arrived here and has the exact same problems Pierre already has noted and we have been trying to diagnose long distance.
Pierre

Pierre

2019-02-15 18:27

updater   ~0000913

From the latest version of CinGG (2019-02-15 05:38)

Good news, it no longer crashes in search mode for the source segments used.

New problem....

If I select a white segment (when searching for the source segments used), this segment is found in the Viewer at the position of its beginning image.
But if I turn the Jog forward, it immediately jumps to the end image of the segment and continues from that point.

If I turn the jog backwards instead, the first frame displayed is the one at the end of the segment and the next... returns to the beginning of the segment and then moves back from that point.

These problems are not present in the case of the Compositor.

In addition, I would like to point out that the latency problem (already reported) at the jog level creates significant hesitations in the event of rapid transitions between forward and reverse scrolling.
MatN

MatN

2019-02-15 10:31

reporter   ~0000911

The current git (20190215T0905 UTC) cannot do a debug build, because of the missing libusb-1.0-0-dev (as documented below by Phyliis: https://www.cinelerra-gg.org/bugtracker/view.php?id=124#c855). Because this is now a supported product, should not the blds/bld_prepare.sh and configure scripts be adapted to make sure this is installed?
PhyllisSmith

PhyllisSmith

2019-02-15 02:46

manager   ~0000908

I think it is very good now so will leave it at that until the new shuttle arrives here and we can determine what is wrong with K14 and K15. It can still be changed if later Sam, Andrea, or IgorB think it needs further refinement. I will fix the documentation to reflect this now.
Pierre

Pierre

2019-02-15 01:59

updater   ~0000907

I compared your shuttlerc and mine. There is nothing else to change, the only difference left, is you who are right. In [Cinelerra] mode you gave K7 the command:

K7 XK_KP_0 # Stop

While I had written:

K7 "f" # Go in or out of Fullscreen mode

This was a mistake on my part; "f" is not operating on the Timeline.
PhyllisSmith

PhyllisSmith

2019-02-15 01:42

manager   ~0000906

I have made the last 2 changes for K12 and K13 in the Viewer here locally and will go over the shuttlerc-2 file you added in your earlier note.
The dial single frame problem you mentioned awhile back is still giving me trouble. I see the same problem going forward as reverse BUT I am only using the Xpress right now as GG works with the Pro to solve more issues.
Pierre

Pierre

2019-02-15 01:22

updater   ~0000905

Hi Phyllis,

In the latest version of CinGG, you have integrated my suggestions into the shuttlec file, but I think there is a small error.

In the section,[Viewer] we find now:

K12 Alt-XK_Left # Go to previous edit
K13 Alt-XK_Right # Go to next edit

But in the Viewer there are no clips as in the Composer, so these two buttons do not cause any reaction.

I think the configuration should rather be (as in[Cinelerra] and[Composer]):

K12 Ctrl-XK_Left # Go to previous label
K13 Ctrl-XK_Right # Go to next label
Pierre

Pierre

2019-02-14 02:09

updater   ~0000897

Phyllis, you put a lot of responsibility on me for choosing the right button configuration.... On someone who had never had a shuttle that worked before...

I understand that I may be the only one in the group that has one right now, but I would like to hear from Sam, Igor, Andrea and other experienced users about their configuration preferences if they get one eventually.

For the moment I'm just trying to evaluate how these controllers could be the most useful. For me it is very clear that these are not variants of mice. They should not seek to replace what a mice can do. Shuttles are complementary and seem to me to be particularly suitable for facilitating the targeted movement of viewing in sources and timelines. The buttons should therefore offer the most useful and frequently used travel shortcuts. The extra buttons can offer commands related to the objectives of the movement in the material. I also think that we should try to group the buttons into clusters by related functions...

I don't quite understand what you're proposing by "K7 also "f' for main window for "fit time display to selection" instead of Stop as is currently?"

K7 "f" for[Viewer] and[Compose] seems very useful to me at the moment. Is it for[Cinelerra] that you propose another function?

I don't understand what "fit time display to selection" means.

As for the default configuration... I'm not in favor of functions that vary according to the context[Viewer]/[Compose]/[Cinelerra]. At the moment only K10 and K11 are different in the Viewer and this will be fixed if it is possible to make K14 and K15 functional.

The Shuttel buttons are not equipped with context menus. A user who only occasionally uses CinGG and a Shuttle would have great difficulty remembering the different variable functions of the buttons. I think that the functions that vary according to the context are for advanced users who will use them very regularly. It is the latter who are also the most likely to take the time to create a custom configuration file, to their liking, which will probably be very different from anything that could be present by default.

For K6 and K8, I find it very useful to be able to obtain normal forward and reverse speeds, without having to hold the Shuttel in a precise and precarious position. For me, the Shuttel ring is something to be handled quickly, at variable speeds, to search for useful precise passages. Slow motion is not a mode I usually leave running for a long time, I use it quickly, from front and back, to find a specific point (especially in the sound). It can therefore only be accessed by the Shuttle.

I think K14 and K15 are ideal for"[" and"]". These commands are the fundamental role of the Viewer and it is with the Viewer that Shuttel will be most useful. If these keys are assigned a different function in the other modes, they must be similar.

We misunderstood each other... I am in favour of K12 and K13 being identical in all modes, it is possible to make "l" marks in all modes[Viewer]/[Compose]/[Cinelerra]:
 K12 Ctrl-XK_Left # Next mark "l" on the left
 K13 Ctrl-XK_Right # Next mark "l" on the right

Let's try to prepare the most useful default configurations, but I wouldn't be surprised at all, that when there are more user feedback, more useful suggestions lead to a revision of the default preferences...

I attach my .shuttlerc file (which includes my small modifications) in case it would be useful.

shuttlerc-2 (3,572 bytes)
# uncomment to enable diagnostics
#DEBUG
# uncommet to use direct usb
#USB_DIRECT

# redefine default, use
# also used for resources,load windows
[Default]
[Resources]
[Load]
 K5 XK_Home
 K6 XK_Button_1
 K7 XK_Button_2
 K8 XK_Button_3
 K9 XK_End
 JL XK_Scroll_Up
 JR XK_Scroll_Down

[Cinelerra]

# Most useful functions have to be on K5-K9 because Xpress only has 5 keys
 K5 XK_Home  	# Beginning
 K6 XK_KP_6	# Reverse, of if playing Stop
 K7 "f"		# Go in or out of Fullscreen mode
 K8 XK_KP_3	# Play, or if playing Stop
 K9 XK_End   	# End

# K10 "["	# Switch if K14 not working
# K11 "]"	# Switch if K15 not working
 K10 Alt-XK_Left
 K11 Alt-XK_Right
# K12 XK_Home    # Beginning
# K13 XK_End     # End
 K12 Ctrl-XK_Left	# Prochaine marque "l" à gauche
 K13 Ctrl-XK_Right	# Prochaine marque "l" à droite
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Clip
 K2 "x"		# Cut
 K3 "c"		# Copy
 K4 "v"		# Paste

 S-7 REV_16	# Next 6 are reverse keys
 S-6 REV_8	#  the number on the end represents speed
 S-5 REV_4	#  number can be decimal up to 64
 S-4 REV_2	#  2 means 2x or double speed
 S-3 REV_1
 S-2 REV_0.5	#  note 0.5 represents 1/2 speed
 S-1 XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S0  XK_KP_0	# Hardware does not generate S0
 S1  XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S2  FWD_0.5	# Next 6 are forward keys
 S3  FWD_1
 S4  FWD_2
 S5  FWD_4
 S6  FWD_8
 S7  FWD_16

 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

[Composer]

# Most useful functions have to be on K5-K9 because Xpress only has 5 keys
 K5 XK_Home  	# Beginning
 K6 XK_KP_6	# Reverse, of if playing Stop
 K7 "f"		# Go in or out of Fullscreen mode
 K8 XK_KP_3	# Play, or if playing Stop
 K9 XK_End   	# End

# K10 "["	# Switch if K14 not working
# K11 "]"	# Switch if K15 not working
 K10 Alt-XK_Left
 K11 Alt-XK_Right
# K12 XK_Home    # Beginning
# K13 XK_End     # End
 K12 Ctrl-XK_Left	# Prochaine marque "l" à gauche
 K13 Ctrl-XK_Right	# Prochaine marque "l" à droite
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Clip
 K2 "x"		# Cut
 K3 "c"		# Copy
 K4 "v"		# Paste

 S-7 REV_16
 S-6 REV_8
 S-5 REV_4
 S-4 REV_2
 S-3 REV_1
 S-2 REV_0.5
 S-1 XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S0  XK_KP_0	# Hardware does not generate S0
 S1  XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S2  FWD_0.5
 S3  FWD_1
 S4  FWD_2
 S5  FWD_4
 S6  FWD_8
 S7  FWD_16

 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

[Viewer]

# Most useful functions have to be on K6-K9 because Xpress only has 5 keys
 K5 XK_Home  	# Beginning
 K6 XK_KP_6	# Reverse, of if playing Stop
 K7 "f"		# Go in or out of Fullscreen mode
 K8 XK_KP_3	# Play, or if playing Stop
 K9 XK_End   	# End

 K10 "["	# Temporary until K14 Pro fixed
 K11 "]"	# Temporary until K15 Pro fixed
# K12 XK_Home    # Beginning
# K13 XK_End     # End
 K12 Ctrl-XK_Left	# Prochaine marque "l" à gauche
 K13 Ctrl-XK_Right	# Prochaine marque "l" à droite
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Clip
 K2 "v"		# Splice
 K3 "c"		# Copy
 K4 "b"		# Overwrite

 S-7 REV_16
 S-6 REV_8
 S-5 REV_4
 S-4 REV_2
 S-3 REV_1
 S-2 REV_0.5
 S-1 XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S0  XK_KP_0	# Hardware does not generate S0
 S1  XK_KP_0	# Because the Shuttle does not generate S0, have to use S1
 S2  FWD_0.5
 S3  FWD_1
 S4  FWD_2
 S5  FWD_4
 S6  FWD_8
 S7  FWD_16

 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

shuttlerc-2 (3,572 bytes)
PhyllisSmith

PhyllisSmith

2019-02-13 22:32

manager   ~0000895

Pierre: I am relying on you to tell me what the keys should be from the view of a user instead of my just testing.

My biggest concern is to make sure K5-K9 are the most useful. So we agree that K5, K7, and K9 are good.
But what do you think about K7 also "f' for main window for "fit time display to selection" instead of Stop as is currently? Or?

What would then be best for K6 and K8? since like you said you can already use the shuttle wheel for play/reverse?
What do you think is the most important action if you only have the Xpress? K6 = [ and k8 = ] for toggle in/out? or previous and next edit?

GOOD K10 Alt-XK_Left # previous edit
GOOD K11 Alt-XK_Right # next edit
GOOD K12 Ctrl-XK_Left # previous label
GOOD K13 Ctrl-XK_Right # next label
??? K14 "[" # Toggle in # or is this function more important so that you want them on K6 ?
??? K15 "]" # Toggle out # or is this function more important so that you want it on K8 ?

I am not quite sure about your statement below for the Viewer though. Why not have K12 and K13 also go to the "l" marks?
 K10 "[" # Temporary until K14 Pro fixed
 K11 "]" # Temporary until K15 Pro fixed
 K12 XK_Home # Beginning
 K13 XK_End # End
 K14 "[" # Toggle in
 K15 "]" # Toggle out

But which is actually only useful in the [Viewer] section where it is already....
Pierre

Pierre

2019-02-13 20:14

updater   ~0000894

I don't know what happened to the previous attempt...

Phyllis,

In use, I find that your choice of

K5 XK_Home # Beginning
K9 XK_End # End

Very good.

It was not really necessary to have the slowdowns on this row of buttons, since they are immediately available by the Shuttle at the first positions.

On the other hand, I find it a real waste of the K12 and K13 buttons to double what is now assumed by K5 and K9.

Why not use K12 and K13 instead now, to go directly to the "l" marks in both directions. Type of action that will be consistent with what is entrusted to K10 and K11.
Pierre

Pierre

2019-02-13 20:10

updater   ~0000893

Phyllis,

In use, I find that your choice of

K5 XK_Home # Beginning
K9 XK_End # End

Very good.

It was not really necessary to have the slowdowns on this row of buttons, since they are immediately available by the Shuttle at the first positions.Phyllis,

In use, I find that your choice of

K5 XK_Home # Beginning
K9 XK_End # End

Very good.

It was not really necessary to have the slowdowns on this row of buttons, since they are immediately available by the Shuttle at the first positions.

On the other hand, I find it a real waste of the K12 and K13 buttons to double what is now assumed by K5 and K9.

Why not use K12 and K13 instead now, to go directly to the "l" marks in both directions. Type of action that will be consistent with what is entrusted to K10 and K11.

On the other hand, I find it a real waste of the K12 and K13 buttons to double what is now assumed by K5 and K9.

Why not use K12 and K13 instead now, to go directly to the "l" marks in both directions. Type of action that will be consistent with what is entrusted to K10 and K11.
Pierre

Pierre

2019-02-13 17:57

updater   ~0000890

Hi Phyllis,

I like what you have configured for the [Cinelerra] section:

# K10 "[" # Switch if K14 not working
# K11 "]" # Switch if K15 not working
 K10 Alt-XK_Left
 K11 Alt-XK_Right
 K12 XK_Home # Beginning
 K13 XK_End # End
 K14 "[" # Toggle in
 K15 "]" # Toggle out

I think we should find the same thing in the [Compose] section
Rather than what's in it right now:

 K10 "[" # Temporary until K14 Pro fixed
 K11 "]" # Temporary until K15 Pro fixed
 K12 XK_Home # Beginning
 K13 XK_End # End
 K14 "[" # Toggle in
 K15 "]" # Toggle out

But which is actually only useful in the [Viewer] section where it is already....
Pierre

Pierre

2019-02-13 17:06

updater   ~0000887

Curious, I wrote

"K7 XK_KP_0 # Stop"

When it should be

"K7 "f" # Go in or out of Fullscreen mode" (as you also wrote)

For a result of

K5 XK_Home # Beginning
K6 XK_KP_6 # Reverse, of if playing Stop
K7 "f" # Go in or out of Fullscreen mode
K8 XK_KP_3 # Play, or if playing Stop
K9 XK_End # End
Pierre

Pierre

2019-02-13 16:53

updater   ~0000886

I don't know if it's related to the patch so that the image really stops with the Shuttel... but the Jog takes 1 "frame" (click) too much to reverse the movement of the image.

I know that you need to move a "frame" to reverse the cursor and be able to read the next frame, but the Jog takes 2, and it is only at the 3rd click that you see the image change, whereas you only need 2 with the keys of the keyboard.
PhyllisSmith

PhyllisSmith

2019-02-13 16:31

manager   ~0000885

That makes more sense and I will change it next time as well as K10 and K11 will go to [ and ] if when the 2.0 shuttle arrives here and there is still problems getting K14 and K15 to work
Pierre

Pierre

2019-02-13 14:32

updater   ~0000883

Hi Phyllis,

I understand your choice for the ShuttleXpress (although for me I prefer what I proposed)

Your current choice:

K5 XK_Home # Beginning
K6 XK_KP_3 # Play, or if playing Stop
K7 XK_KP_0 # Stop
K8 XK_KP_6 # Reverse, or if playing Stop
K9 XK_End # End

There is an inversion error in KP_3 and KP_6 that makes the use non-intuitive.

The following choice would be more useful and intuitive:

K5 XK_Home # Beginning
K8 XK_KP_6 # Reverse, or if playing Stop
K7 XK_KP_0 # Stop
K6 XK_KP_3 # Play, or if playing Stop
K9 XK_End # End
Pierre

Pierre

2019-02-13 04:10

updater   ~0000879

If I were sure that both buttons were defective, I would quickly demand a replacement functional Shuttel (either from Amazon or directly from Contour Design). I'm not sure how long I'd have to get an exchange.

But.... under Windows10 with VLC, these two buttons seem to work (they change the format of the image if I remember correctly).
PhyllisSmith

PhyllisSmith

2019-02-13 03:55

manager   ~0000878

Yes, you can delete those 2 files.
I am glad the Stop is working better now! GG says he still thinks your 2 keys may really be broken, but we will see when our new one arrives.
There are some other key assignment differences also. The K10 and K11 in the Cinelerra window are "go to left edit" and "go to right edit" as I wanted to test those. And K5-K9 were changed in all Cin/Compositor/Viewer windows to be what I thought was most useful if using the Xpress since it only has those 5 keys. By the end of this month, we should finally have all the answers!
Pierre

Pierre

2019-02-13 03:48

updater   ~0000877

Thank you Phyllis, my Shuttle is working again (without of course K14 and K15).

If they are no longer useful, should I delete the "mint_shdmp" and "shudmp" files that are still in my user directory?

I note that the modifications that GG has made to eliminate the movements that did not stop with the Shuttle, seem to be effective.

It is a real pity that all your efforts to solve this problem have not been successful.

Perhaps the contact at "Contour Design" would have some information to provide you with about the features of this new ShuttlePRO v2, if not to provide you with one...
PhyllisSmith

PhyllisSmith

2019-02-13 03:19

manager   ~0000876

You should just have to modify your .shuttlerc file to put a # in front of USB_DIRECT near the top of the file.
Or just put back your original if you saved that. Probably need to unplug it and replug it in.
I should have mentioned that earlier. Let me know if still have problems.
Pierre

Pierre

2019-02-13 02:36

updater   ~0000875

Could it be that the test failed because there are still files and configurations left in my system from previous unsuccessful attempts. At the moment my shuttle is no longer working. What would it take for me to change to make it functional again?
PhyllisSmith

PhyllisSmith

2019-02-13 02:26

manager   ~0000874

That should have worked. I will just get order from Amazon, no problem. Thanks so much for your help and patience.
Pierre

Pierre

2019-02-13 02:15

updater   ~0000873

I do the procedure three times without any results.

The first time I passed the codes and realized I hadn't plugged in the Shuttle... I plugged it in... no results.

Still plugged in, I did the whole procedure again, with no results.

To be sure I did it a third time....

Same thing,

pierre@i7-3770k ~ $ chmod +x shudmp
pierre@i7-3770k ~ $ sudo ./shudmp
[sudo] Mot de passe de pierre :


pressing (after entering the codes), buttons K5, K14 and K15 do not cause any reaction.
PhyllisSmith

PhyllisSmith

2019-02-13 01:44

manager   ~0000871

Just download the file and save to your current directory like you did with shdmp_mint. It does not matter where you save the file but when using it, you have to state the entire path. Then you have to make the file have the correct permissions with:

chmod +x shudmp

Now it should have the correct permissions and if you saved the file in your current directory you can keyin:
sudo ./shudump
Pierre

Pierre

2019-02-13 01:31

updater   ~0000870

Hi Phyllis, I don't understand what you mean by "attached file to your home directory".

Do you mean my personal directory /home/pierre ?

Do you mean /home ?
But in this case the system refuses, telling me that I don't have the necessary permissions.
PhyllisSmith

PhyllisSmith

2019-02-12 20:04

manager   ~0000868

When you have more time, please download the attached file to your home directory and save as shudmp
Then keyin:
   chmod +x shudmp
   sudo ./shudmp (make sure the shuttle is not being used by cinelerra and plugged in)

Press some K5, K14, and K15 and send the output.
it should look something like:
shuttle: 00 00 00 10 00 (K5 should look the same)
shuttle: 00 00 00 00 00
shuttle: 00 00 00 00 20 (K14 is probably different)
shuttle: 00 00 00 00 00
shuttle: 00 00 00 00 40 (K15 is probably different since it does not work there)
shuttle: 00 00 00 00 00

Then use Ctrl-C to get out of the program and back to pierrei770$
We have a lot of static electricity here AND if you do too, you may have to unplug and plug back in and start over.

shudmp (13,808 bytes)
ELF>�
@@0.@8	@@@@@@��88@8@@@�� ``�� ``��TT@T@DDP�td@@LLQ�tdR�td``/lib64/ld-linux-x86-64.so.2GNU GNU�i��ժd���3���3��2V�� P	(�BE���|�qX������i ��X�q���Q- �j;�< P x� `�� `�� `�� `x	@��@libusb-1.0.so.0_ITM_deregisterTMCloneTable__gmon_start___Jv_RegisterClasses_ITM_registerTMCloneTablelibusb_open_device_with_vid_pidlibusb_release_interfacelibusb_strerrorlibusb_interrupt_transferlibusb_close_finilibusb_detach_kernel_driverlibusb_claim_interfacelibusb_initlibusb_attach_kernel_driverlibusb_exitlibc.so.6signal__stack_chk_failputcharprintfstdoutsleepsetbuf__libc_start_main_edata__bss_start_endGLIBC_2.4GLIBC_2.2.5Gii
�ui	��`� ` `  `( `0 `8 `@ `H `P `	X `
` `h `
p `x `� `� `� `� `H��H�u H��t�3H����5b �%d @�%b h����%Z h�����%R h����%J h����%B h����%: h����%2 h����%* h�p����%" h�`����% h	�P����% h
�@����%
 h�0����% h� ����%� h
�����%� h�����%� h���%� h����%2 f�1�I��^H��H���PTI��@H�`@H��
@�7����fD�� `UH-� `H��H��v�H��t]�� `��f�]�@f.��� `UH�� `H��H��H��H��?H�H�t�H��t]�� `��]�fD�=9 uUH���n���]�& ��@�`H�?u��H��t�UH���]�z���UH��H��H�� H��t]�� ��~9�E�H�� �U���H������H�� �U���H���=����� H�� H����H�� �s ��x��5����[ �������UH��H����&����E��}����/ �0�3�����H�, H�% H��tB�E�H� �U���H���M���H�� �U���H�������E��}�x
�� �� ��u��������UH��}��� �]�UH��H��p�}�H�u�dH�%(H�E�1�H�� �H����������a ������@������d �����E��@H�A H�M�H�U�A�dI�ȉ�H�������E��}�t.�}��ty�E������H�ƿ�@��.���������R��@������E��E�9E�}$�E�H��D����ƿ�@�����E��Կ
����7�����1�������H�U�dH3%(t�����f.��AWAVA��AUATL�%� UH�-� SI��I��L)�H��H�����H��t 1��L��L��D��A��H��H9�u�H��[]A\A]A^A_Ðf.���H��H���error: %s
shuttle:  %02x�;H��������d����T������������\���<����zRx�`���*zRx�$��� FJw�?;*3$"D�����A�C
�dp����A�C
������A�C
O���CA�C
>D����eB�B�E �B(�H0�H8�M@r8A0A(B BBB@����@�@Gx	@
�@``���o�@x@�@
� `��@�@0	���o�@���o�oD@`�	@�	@�	@�	@�	@
@
@&
@6
@F
@V
@f
@v
@�
@�
@�
@�
@����GCC: (Ubuntu 5.4.0-6ubuntu1~16.04.11) 5.4.0 201606098@T@t@�@�@x@D@�@	�@
�@x	@�	@
�
@�
@�@�@@P@````�` `� `� `�`@@@.�@D� `S`z�@�`���@���@�`��`�`�`@ `5�@EZ v� `p � `��� `�� `?�@����
)6X@�D�@On� `{� �� `��@��`@e��@��� `t�
@*�� `/
@C4@Lc w� `� `� ��� `Fx	@crtstuff.c__JCR_LIST__deregister_tm_clones__do_global_dtors_auxcompleted.7594__do_global_dtors_aux_fini_array_entryframe_dummy__frame_dummy_init_array_entryshudmp.C_ZZ4mainE11IN_ENDPOINT__FRAME_END____JCR_END____init_array_end_DYNAMIC__init_array_start__GNU_EH_FRAME_HDR_GLOBAL_OFFSET_TABLE___libc_csu_finiputchar@@GLIBC_2.2.5_ITM_deregisterTMCloneTablestdout@@GLIBC_2.2.5libusb_interrupt_transferdone_edatalibusb_release_interface__stack_chk_fail@@GLIBC_2.4setbuf@@GLIBC_2.2.5printf@@GLIBC_2.2.5libusb_detach_kernel_driverlibusb_close_Z9usb_probev_Z6siginti__libc_start_main@@GLIBC_2.2.5__data_startsignal@@GLIBC_2.2.5__gmon_start____dso_handle_IO_stdin_usedlibusb_attach_kernel_driver__libc_csu_init_Z8usb_donevlibusb_strerror__bss_startlibusb_open_device_with_vid_pidmainlibusb_exitlibusb_initlibusb_claim_interface_Jv_RegisterClassesclaimed__TMC_END___ITM_registerTMCloneTablesleep@@GLIBC_2.2.5devsh.symtab.strtab.shstrtab.interp.note.ABI-tag.note.gnu.build-id.gnu.hash.dynsym.dynstr.gnu.version.gnu.version_r.rela.dyn.rela.plt.init.plt.got.text.fini.rodata.eh_frame_hdr.eh_frame.init_array.fini_array.jcr.dynamic.got.plt.data.bss.comment8@8#T@T 1t@t$D���o�@�<N�@��Vx@x�^���oD@D8k���o�@�0z�@�0�B�@���x	@x	��	@�	 ��
@�
��
@�
��@�	��@�$�@L�P@PT�`�`�`�`���`�� ` ��� `� �� `�  0� 5-� p0	`)�
shudmp (13,808 bytes)
PhyllisSmith

PhyllisSmith

2019-02-12 16:55

manager   ~0000865

Yes, yours is definitely newer! Do not bother trying to run as root as it will not work.
I really think the best thing for me to do is buy a new one because if other users purchase one, they will have the same K14/K15 problem and we want good results for all models.
Pierre

Pierre

2019-02-12 16:51

updater   ~0000864

Does this mean that the electronic board of my controller is really more recent than yours?

I really felt like I had been given a "new" device with an outdated electronic board...
PhyllisSmith

PhyllisSmith

2019-02-12 16:44

manager   ~0000863

The lsusb output shows quite a few differences -- the major one being bcdDevice 2.0 as opposed to ours at 1.17. And the iInterface of 2 instead of 0. GG has a better idea that I will relay later and if that does not work, I will just go to Amazon and hope they ship us a newer version to match yours.
Pierre

Pierre

2019-02-12 16:13

updater   ~0000862

Sorry

"And if you could just run Cinelerra as root, just 1 time to see if the shuttle works, that would be helpful to know. You would have to copy shuttlerc to /root/.shuttlerc first though and unplug/replug in the Shuttle Pro."

I would need the exact procedure with the codes to be entered at the terminal.
Pierre

Pierre

2019-02-12 16:10

updater   ~0000861

"And if you could just run Cinelerra as root, just 1 time to see if the shuttle works, that would be helpful to know. You would have to copy shuttlerc to /root/.shuttlerc first though and unplug/replug in the Shuttle Pro."

J'aurais besoin de la procédure exacte avec les codes à entrer au terminal.
Pierre

Pierre

2019-02-12 16:05

updater   ~0000860

pierre@i7-3770k ~ $ lsusb -v -d 0b33:0030

Bus 007 Device 002: ID 0b33:0030 Contour Design, Inc.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x0b33 Contour Design, Inc.
  idProduct 0x0030
  bcdDevice 2.00
  iManufacturer 1 Contour Design
  iProduct 2 ShuttlePro
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 34
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 2 ShuttlePro
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 0 No Subclass
      bInterfaceProtocol 0 None
      iInterface 2 ShuttlePro
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.11
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 75
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0005 1x 5 bytes
        bInterval 10
Device Status: 0x0000
  (Bus Powered)
pierre@i7-3770k ~ $
PhyllisSmith

PhyllisSmith

2019-02-12 15:59

manager   ~0000859

Bummer, we tested on Mint18 here as a normal user before our note. When you have time, send the results of:

lsusb -v -d 0b33:0030

And if you could just run Cinelerra as root, just 1 time to see if the shuttle works, that would be helpful to know. You would have to copy shuttlerc to /root/.shuttlerc first though and unplug/replug in the Shuttle Pro.
Pierre

Pierre

2019-02-12 15:13

updater   ~0000858

So I have a little time this morning before leaving, so I did the installation, I followed all the instructions described, but it doesn't work; the Shuttle doesn't react at all, neither the shuttle, nor the wheel, nor any buttons... I plugged the shuttle back in, left CinGG, plugged in, retested... no reaction.

Here's what the terminal gives:



pierre@i7-3770k ~ $ /home/pierre/Cinelerra-GG_5.1/cin
Cinelerra Infinity - built: Feb 11 2019 14:44:48
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2018 Heroine Virtual Ltd. by Adam Williams
(c) 2007-2018 cin5 derivative by W.P. Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

------------------------
[Default] # 0

[Resources] # 2

[Load] # 5

K5[D]: XK_Home/D
K5[U]: XK_Home/U

K6[D]: XK_Button_1/D
K6[U]: XK_Button_1/U

K7[D]: XK_Button_2/D
K7[U]: XK_Button_2/U

K8[D]: XK_Button_3/D
K8[U]: XK_Button_3/U

K9[D]: XK_End/D
K9[U]: XK_End/U

JL[]: XK_Scroll_Up/D XK_Scroll_Up/U

JR[]: XK_Scroll_Down/D XK_Scroll_Down/U

------------------------
[Cinelerra] # 1

K5[D]: XK_Home/D
K5[U]: XK_Home/U

K6[D]: XK_KP_3/D
K6[U]: XK_KP_3/U

K7[D]: XK_KP_0/D
K7[U]: XK_KP_0/U

K8[D]: XK_KP_6/D
K8[U]: XK_KP_6/U

K9[D]: XK_End/D
K9[U]: XK_End/U

K10[D]: Alt-XK_Left/D
K10[U]: Alt-XK_Left/U

K11[D]: Alt-XK_Right/D
K11[U]: Alt-XK_Right/U

K12[D]: XK_Home/D
K12[U]: XK_Home/U

K13[D]: XK_End/D
K13[U]: XK_End/U

K14[D]: XK_bracketleft/D
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/D
K15[U]: XK_bracketright/U

K1[D]: XK_i/D
K1[U]: XK_i/U

K2[D]: XK_x/D
K2[U]: XK_x/U

K3[D]: XK_c/D
K3[U]: XK_c/U

K4[D]: XK_v/D
K4[U]: XK_v/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: XK_KP_0/D XK_KP_0/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: XK_KP_0/D XK_KP_0/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

------------------------
[Composer] # 3

K5[D]: XK_Home/D
K5[U]: XK_Home/U

K6[D]: XK_KP_3/D
K6[U]: XK_KP_3/U

K7[D]: XK_f/D
K7[U]: XK_f/U

K8[D]: XK_KP_6/D
K8[U]: XK_KP_6/U

K9[D]: XK_End/D
K9[U]: XK_End/U

K10[D]: XK_bracketleft/D
K10[U]: XK_bracketleft/U

K11[D]: XK_bracketright/D
K11[U]: XK_bracketright/U

K12[D]: XK_Home/D
K12[U]: XK_Home/U

K13[D]: XK_End/D
K13[U]: XK_End/U

K14[D]: XK_bracketleft/D
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/D
K15[U]: XK_bracketright/U

K1[D]: XK_i/D
K1[U]: XK_i/U

K2[D]: XK_x/D
K2[U]: XK_x/U

K3[D]: XK_c/D
K3[U]: XK_c/U

K4[D]: XK_v/D
K4[U]: XK_v/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: XK_KP_0/D XK_KP_0/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: XK_KP_0/D XK_KP_0/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

------------------------
[Viewer] # 4

K5[D]: XK_Home/D
K5[U]: XK_Home/U

K6[D]: XK_KP_3/D
K6[U]: XK_KP_3/U

K7[D]: XK_f/D
K7[U]: XK_f/U

K8[D]: XK_KP_6/D
K8[U]: XK_KP_6/U

K9[D]: XK_End/D
K9[U]: XK_End/U

K10[D]: XK_bracketleft/D
K10[U]: XK_bracketleft/U

K11[D]: XK_bracketright/D
K11[U]: XK_bracketright/U

K12[D]: XK_Home/D
K12[U]: XK_Home/U

K13[D]: XK_End/D
K13[U]: XK_End/U

K14[D]: XK_bracketleft/D
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/D
K15[U]: XK_bracketright/U

K1[D]: XK_i/D
K1[U]: XK_i/U

K2[D]: XK_v/D
K2[U]: XK_v/U

K3[D]: XK_c/D
K3[U]: XK_c/U

K4[D]: XK_b/D
K4[U]: XK_b/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: XK_KP_0/D XK_KP_0/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: XK_KP_0/D XK_KP_0/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

RenderFarmClient::main_loop: client started
Session time: 0:01:27
Cpu time: user: 0:01:09.441 sys: 0:00:02.954
pierre@i7-3770k ~ $
Pierre

Pierre

2019-02-12 06:51

updater   ~0000857

Hi Phyllis, it's very late here. I have just arrived, I have been away all day and I will be away tomorrow until mid-afternoon. Then I could take care of trying all this with pleasure.
PhyllisSmith

PhyllisSmith

2019-02-11 23:02

manager   ~0000855

Need more Pierre HELP for debugging K14 and K15 of ShuttlePro and this requires a reboot later so do this when convenient. A new Mint 18 tar is ready for testing at:
  https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz

It has a rewritten usb_direct interface which avoids use of the generic hid (human interface device) driver of the O/S.
To test, first you will have to make sure libusb-1.0-0-dev is installed. I imagine you do this via some manager window?
But for Mint it is something like:
   apt update (first so up to date)
   apt install libusb-1.0-0-dev (next do something like this)

Download the tar and install that. There is a new 99-ShuttlePRO.rules file in cinelerra's doc directory.
You must copy this to: /etc/udev/rules-d/99-ShuttlePRO.rules
Replace the current one there -- the shuttle will not work right without this new file. Now REBOOT.

There is also a new shuttlerc file that you should copy as .shuttlerc in your directory. You must use this new one because it has DEBUG and USB_DIRECT uncommented so you can see results to send to us. Please backup your original one in case you like your current settings.

Start cinelerra with ShuttlePro plugged in and wheel around to make sure it is working. If it is not, unplug it and then plug back in and it should work. Try not to use the middle jog dial, but not really that important. Here is what we need to see:

- Press K14 and you will hopefully now see something in your window that you started cinelerra from. Before you were seeing nothing. We see:

shuttle: 00 00 00 00 20 (20 is the left bracket)
key: XK_bracketleft 1 (the number 1 means turn it on)
shuttle: 00 00 00 00 00
key: XK_bracketleft 0 (the number 0 means done with bracket)

shuttle: 00 00 00 00 40 (40 is the right bracket)
key: XK_bracketright 1
shuttle: 00 00 00 00 00
key: XK_bracketright 0

But you may see something different because your K14 and K15 keys do not work with the O/S driver. Also, press the K5 key just to make sure it looks normal - shuttle: 00 00 00 00 00 & key: XK_Home 0

I have defined only in the cinelerra window K10 and K11 to be left edit and right edit operations.

Hopefully my directions are correct this time. If any problems, just let me know what happens in case I said something wrong.
Pierre

Pierre

2019-02-10 22:56

updater   ~0000848

Harrr...

No, it doesn't work, even if I wait 20 seconds.

I even, then replaced "[" by XK_KP_3 to see if it would react more... And no....

On the other hand, I am still keeping my fingers crossed, my test is not finished... but for the moment the withdrawal of Compiz seems promising... (oops bad discussion).
Pierre

Pierre

2019-02-10 22:54

updater   ~0000847

I even, then replaced "[" by XK_KP_3 to see if it would react more... And no....

On the other hand, I am still keeping my fingers crossed, my test is not finished... but for the moment the withdrawal of Compiz seems promising... (oops bad discussion).
PhyllisSmith

PhyllisSmith

2019-02-10 22:36

manager   ~0000846

Pierre:

HEY, TRY THIS !! when you press the K14 and K15 keys, press down AND HOLD for at least 1/2 second and see if that works. If that does not work, press AND Hold longer to see if you get the toggle in/out.
Pierre

Pierre

2019-02-10 19:41

updater   ~0000839

It is really strange this problem of "new" version of the electronic circuit, which does not display that it is a "v2" and which contains a malfunction that was absent from the previous version and which was correctly identified as "v2"...

This suggests to me that my "new" ShuttlePRO v2", may actually incorporate an old precursor circuit (but inserted into the new v2 boxes, for liquidation of the old stock) whose electronic defect had been corrected by the "v2" circuits that would have followed (even if the ContourDesign pilot had so far compensated for the problem).

You'd think Amazon.ca just dumped their old stock that was lying around in a corner...
PhyllisSmith

PhyllisSmith

2019-02-10 03:18

manager   ~0000833

Pierre: I will make the changes you recommended for K5-K9 as 6,5,f,2,3.

K10 and K11 for next or previous on the keyboard require 2 keys to be pressed simultaneously (Alt-> and Alt-<) so GG will have to make a code modification to handle that and he thinks that that will not be difficult. I think it is very important to do long term as so many shortcuts require either Alt, Ctrl, or Shift with another key. When that is done, we will make a Mint 18 build. We were hoping for a K14 and K15 solution by now but not there yet.

After some time in a joint effort trying to figure out the ShuttlePro difference between ours and yours, we do have one guess which is that the rdesc device description is mistakenly reporting number of buttons as 13 instead of 15. The reason we reached this as a possibility is because when we plug in the Xpress, it reports 13 (obviously it does not have this many buttons but it may be hard coded to be 13) and when we plug in our correctly working Pro, it reports 15. Our guess is that your Pro may be reporting wrong and this would totally explain why K14 and K15 do not work.

Although displaying the rdesc file worked on gg's desktop on Fedora as well as Mint 18 (a large computer), it would not let me do the same on my Asus laptop, so I am not sure it would work for you. We may come up something else yet and if so will let you know.
Pierre

Pierre

2019-02-09 21:10

updater   ~0000830

Hi Phyllis,

Yes all buttons (assigned) work.

However, K10 and K11 currently have no assigned functions. I don't know if you saw it go by, but earlier in this thread, I had suggested new functions that could be assigned to them:

"The 2 lowest buttons of the "Shuttle PRO v2"
(K12 and K13) currently allow you to go to the very beginning or end of either the source in the Viewer or the Timeline in Composer.

It would be interesting if the two buttons just above
(K10 and K11) would allow them, in both directions, to go to the next cut in the Composer or to the next mark in the Viewer."

Obviously this proposal was made from the perspective that K14 and K15 finally work and that they can be assigned "[" and "]".

If it is not possible to resurrect K14 and K15... I think it would be better then to entrust "[" and "]" to K10 and K11.

It's to be seen....

I have read your email to ContourDesign, I am convinced that they will answer you.

I look forward to trying the GG modifications to control the process that doesn't want to stop... Is there anything I can do here to help?
PhyllisSmith

PhyllisSmith

2019-02-09 19:56

manager   ~0000829

Pierre: Do all of the other K1-K12 keys work with your shuttlerc setup?

I did read the url comments but since it was 2010 did not expect "Dave" to still be around.
So you may have noticed that I copied you on an email I sent directly to ContourDesign. Even if they do not respond, gg thinks that the information you already provided previously as echoed below, may be sufficient to modify the driver.
...
                       (here I pressed the K15 button)

0000300 00 00 00 00 00 00 00 00 00 00 40 e2 13 af 4e 92
0000320 ff ff 43 01 81 04 07 00 2d 00 3a cd 5c 5c 00 00
0000340 00 00 8d 16 0c 00 00 00 00 00 05 00 00 00 05 00
...
Also, gg "fixed" the program so that when you stop the wheel going forward and backward, it will really stop but it has to use S1 and S-1 because S0 was not always sending the signal. So the default shuttlerc will have to use the value of XK_KP_0 for S1 and S-1to stop properly.
Pierre

Pierre

2019-02-09 03:04

updater   ~0000826

Not even....

pierre@i7-3770k ~ $ sudo./mint_shdmp /dev/input/by-id/usb-Contour_Design_ShuttlePro-event-if00
bash: sudo./mint_shdmp: Aucun fichier ou dossier de ce type
pierre@i7-3770k ~ $


I found an old passage in the ContourDesign Shuttle Forum, where a Contour representative, says he is interested in collaborating with Linux developers to develop a driver for Linux... Perhaps he would still be interested?

See the last comments at the end of this page:
http://forums.contourdesign.com/search.php?st=0&sk=t&sd=d&sr=posts&keywords=Linux&start=20
PhyllisSmith

PhyllisSmith

2019-02-09 02:29

manager   ~0000825

Evidence supports that the device is working BUT the driver is reporting 2 Jog events instead of Key events. No wonder it does not work. This explains why the device name string is different as noted earlier. Apparently the Shuttle driver on the PC has been updated to handle this but the linux driver has not. I will look around the internet to try to find out if anyone has updated the linux shuttle driver. It is not something we could do so have to wait until someone else does that.

Bottom line is you will not be able to use K14 and K15 on this Shuttle version with Cinelerra until driver is fixed.
You can see this by running this line again:

sudo./mint_shdmp /dev/input/by-id/usb-Contour_Design_ShuttlePro-event-if00

then turn the middle Jog Left and you will see very similar output that you saw when you pressed K14. The driver is reporting the K14/K15 keys wrong.

If you press K7 or any of the other Keys, you will see the correct output where the last 7 on the first line matches the key number:

event: (4, 4, 0x90007)
event: (1, 262, 0x1)
event: (0, 0, 0x0)
event: (4, 4, 0x90007)
event: (1, 262, 0x0)
event: (0, 0, 0x0)
Pierre

Pierre

2019-02-09 02:06

updater   ~0000824

Thank you Phyllis for all your efforts. And I would say that it consoles me a little bit of my ignorance, to see that even wizz, sometimes make mistakes...

pierre@i7-3770k ~ $ chmod +x mint_shdmp
pierre@i7-3770k ~ $ sudo./mint_shdmp /dev/input/by-id/usb-Contour_Design_ShuttlePro-event-if00
[sudo] Stone password:

               After pressing button (K14)

event: (2, 7, 0xe3)
event: (0, 0, 0x0)
event: (2, 7, 0xe3)
event: (0, 0, 0x0)

              After pressing button (K15)

event: (2, 7, 0xe3)
event: (0, 0, 0x0)
event: (2, 7, 0xe3)
event: (0, 0, 0x0)

^C
pierre@i7-3770k ~ $

Strange... the codes seem identical, yet I repeated the test twice... the same results.
PhyllisSmith

PhyllisSmith

2019-02-09 01:48

manager   ~0000823

MY MAJOR MISTAKE -- I spelled the name WRONG. The attached file was mint_shdmp and the commands I gave you used the name mint_shuttle. Both lines should be mint_shdmp instead. I can not even blame that on DeepL. Sorry!
PhyllisSmith

PhyllisSmith

2019-02-09 01:41

manager   ~0000822

Last edited: 2019-02-09 01:49

View 4 revisions

Pierre: sorry, my descriptions are not very good. First be sure that Cinelerra is NOT running.

I assume you downloaded the file attached to my previous note and saved it with the name mint_shdmp in the directory that you are currently in.
Then after you see - pierre@i7-3770k -$ cut and paste this next line

 chmod +x mint_shdmp

Then after you see - pierre@i7-3770k -$ cut and paste this next line exactly

sudo ./mint_shdmp /dev/input/by-id/usb-Contour_Design_ShuttlePro-event-if00

Now press the K14 button on the Shuttle and you will see output on your window. Send us this.
Then press the K15 button on the Shuttle and you will see another 6 lines of output on your window. Send this.

Finally, just hit Ctrl-C to get back to - pierre@i7-3770k -$

Please let us know if there is still misunderstanding. I really hope this is the final piece of the puzzle. I did search around the internet, to try to find an answer as to why K14 and K15 are different on different Shuttles, but could find nothing.

Pierre

Pierre

2019-02-09 00:49

updater   ~0000821

Hi Phyllis,

I don't understand, I don't think I can open a terminal correctly from my home directory.

If from my home directory (where "mint_shdmp" is located) I run the command "open in a terminal", I end up with a terminal displaying the line "pierre@i7-3770k ~ $".

I enter the command "chmod +x mint_shuttle" and the terminal displays me:

pierre@i7-3770k ~ $ chmod +x mint_shuttle
chmod: impossible d'accéder à 'mint_shuttle': Aucun fichier ou dossier de ce type
pierre@i7-3770k ~ $
PhyllisSmith

PhyllisSmith

2019-02-08 19:17

manager   ~0000810

Pierre: thanks for the last note. Just 1 more thing, I hope!
Attached is a Mint compiled shuttle dump key program for exeuction. Download this to your home directory.
Type these 2 commands:

  chmod +x mint_shuttle (this just makes the file executable)
 sudo ./mint_shuttle /dev/input/by-id/usb-Contour_Design_ShuttlePro-event-if00

It is possible that the name of your shuttle pro is slightly different, so if the above line does not work, then you will have to check for the correct name of that file in the /dev/input/by-id/ directory (with an ls command).

Then press K14 and send the results. Press K15 and send the results. The results on our computer look like:
For K14:
event: (4, 4, 0x9000e) (this is the number that may be different on your Shuttle)
event: (1, 269, 0x1)
event: (0, 0, 0x0)
event: (4, 4, 0x9000e)
event: (1, 269, 0x0)
event: (0, 0, 0x0)

K15
event: (4, 4, 0x9000f) (this is the number that may be different on your shuttle)
event: (1, 270, 0x1)
event: (0, 0, 0x0)
event: (4, 4, 0x9000f)
event: (1, 270, 0x0)
event: (0, 0, 0x0)

When done, you will have to Ctrl-C to get out of the program.

For experimentation purposes, if you press K5-K9 which keys work, you will have 0x90005- 0x90009.

mint_shdmp (8,928 bytes)
ELF>�@@ @8	@@@@@@��88@8@@@�	�	 ``Px ((`(`��TT@T@DDP�td��@�@44Q�tdR�td``��/lib64/ld-linux-x86-64.so.2GNU GNU�ȯ��x���p#tyu�g		)�/6H *#``libc.so.6exitperrorprintfreadstdoutopensetbuf__libc_start_main__gmon_start__GLIBC_2.2.5ui	W�```	` `(`0`8`@`H`H��H��
 H��t�H����5�
 �%�
 @�%�
 h����%�
 h�����%�
 h����%�
 h����%�
 h����%�
 h����%�
 h����%2
 f�1�I��^H��H���PTI�P@H��@H���@����fD�g`UH-``H��H��v�H��t]�``��f�]�@f.��``UH��``H��H��H��H��?H�H�t�H��t]�``��]�fD�=�	 uUH���n���]��	 ��@� `H�?u��H��t�UH���]�z���UH��H�� �}�H�u�H��	 �H���g����}�#H�E�H�H�ƿh@��X�������H�E�H��H��H�Ǹ�a����E��}�uH�E�H��H�H���U�����[����E���p`�������E��E�H�H��t&�}�y
��@�����E��ƿ�@������-�
� �� ���� ���ƿ�@����닸��f.�DAWAVA��AUATL�% UH�- SI��I��L)�H��H������H��t 1��L��L��D��A��H��H9�u�H��[]A\A]A^A_Ðf.���H��H���usage: %s /dev/input/by-id/<device?>
read eventbad read: %d
event: (%d, %d, 0x%x)
;4��������P���� ��������zRx�����*zRx�$�����FJw�?;*3$"DV���A�C
DdP���eB�B�E �B(�H0�H8�M@r8A0A(B BBB�x����@�@ @
T@``���o�@�@�@
c`�x@H@0	���o(@���o�o@(`V@f@v@�@�@�@�@GCC: (Ubuntu 5.4.0-6ubuntu1~16.04.5) 5.4.0 201606098@T@t@�@�@�@@(@	H@
x@ @@@
�@�@T@`@�@�@`` `(`�``P```� `@@@.�@Dh`S`z�@�`�����	@� `��`�(`�`��@`P@- I``� P`]``'T@dx���P`�p`� �X`�`@��@e��`��@*``�@+? Se``q  @crtstuff.c__JCR_LIST__deregister_tm_clones__do_global_dtors_auxcompleted.7585__do_global_dtors_aux_fini_array_entryframe_dummy__frame_dummy_init_array_entryshdmp.C__FRAME_END____JCR_END____init_array_end_DYNAMIC__init_array_start__GNU_EH_FRAME_HDR_GLOBAL_OFFSET_TABLE___libc_csu_fini_ITM_deregisterTMCloneTablestdout@@GLIBC_2.2.5_edatasetbuf@@GLIBC_2.2.5printf@@GLIBC_2.2.5read@@GLIBC_2.2.5__libc_start_main@@GLIBC_2.2.5__data_startev__gmon_start____dso_handle_IO_stdin_used__libc_csu_init__bss_startmainopen@@GLIBC_2.2.5perror@@GLIBC_2.2.5_Jv_RegisterClassesexit@@GLIBC_2.2.5__TMC_END___ITM_registerTMCloneTable.symtab.strtab.shstrtab.interp.note.ABI-tag.note.gnu.build-id.gnu.hash.dynsym.dynstr.gnu.version.gnu.version_r.rela.dyn.rela.plt.init.plt.got.text.fini.rodata.eh_frame_hdr.eh_frame.init_array.fini_array.jcr.dynamic.got.plt.data.bss.comment8@8#T@T 1t@t$D���o�@�$N�@��V�@�c^���o@k���o(@( zH@H0�Bx@x�� @ �@@@���@���@���T@T	�`@`^��@�4��@���`�`� ` �(`(���`��`P�P`P�```(0`4��/	��
mint_shdmp (8,928 bytes)
Pierre

Pierre

2019-02-08 00:32

updater   ~0000805

Okay, it seems to have worked!

pierre@i7-3770k ~ $ lsusb
Bus 002 Device 006: ID 060b:0001 Solid Year MacAlly Keyboard
Bus 002 Device 005: ID 058f:9213 Alcor Micro Corp. MacAlly Kbd Hub
Bus 002 Device 004: ID 046d:082c Logitech, Inc.
Bus 002 Device 003: ID 045e:0040 Microsoft Corp. Wheel Mouse Optical
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 007 Device 004: ID 0b33:0030 Contour Design, Inc.
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
pierre@i7-3770k ~ $ sudo od -tx1 /dev/usbmon7
[sudo] Mot de passe de pierre :

                      (here I pressed the K14 button)

0000000 40 e2 13 af 4e 92 ff ff 43 01 81 04 07 00 2d 00
0000020 2c cd 5c 5c 00 00 00 00 57 9f 0e 00 00 00 00 00
0000040 05 00 00 00 05 00 00 00 00 00 00 00 00 00 00 00
0000060 00 00 00 00 20 40 e2 13 af 4e 92 ff ff 53 01 81
0000100 04 07 00 2d 3c 2c cd 5c 5c 00 00 00 00 69 9f 0e
0000120 00 8d ff ff ff 05 00 00 00 00 00 00 00 00 00 00
0000140 00 00 00 00 00 40 e2 13 af 4e 92 ff ff 43 01 81
0000160 04 07 00 2d 00 2d cd 5c 5c 00 00 00 00 e2 31 01
0000200 00 00 00 00 00 05 00 00 00 05 00 00 00 00 00 00
0000220 00 00 00 00 00 00 00 00 00 00 40 e2 13 af 4e 92
0000240 ff ff 53 01 81 04 07 00 2d 3c 2d cd 5c 5c 00 00
0000260 00 00 ef 31 01 00 8d ff ff ff 05 00 00 00 00 00

                       (here I pressed the K15 button)

0000300 00 00 00 00 00 00 00 00 00 00 40 e2 13 af 4e 92
0000320 ff ff 43 01 81 04 07 00 2d 00 3a cd 5c 5c 00 00
0000340 00 00 8d 16 0c 00 00 00 00 00 05 00 00 00 05 00
0000360 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 40
0000400 e2 13 af 4e 92 ff ff 53 01 81 04 07 00 2d 3c 3a
0000420 cd 5c 5c 00 00 00 00 9d 16 0c 00 8d ff ff ff 05
0000440 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40
0000460 e2 13 af 4e 92 ff ff 43 01 81 04 07 00 2d 00 3a
0000500 cd 5c 5c 00 00 00 00 1f 49 0e 00 00 00 00 00 05
0000520 00 00 00 05 00 00 00 00 00 00 00 00 00 00 00 00
0000540 00 00 00 00 40 e2 13 af 4e 92 ff ff 53 01 81 04
0000560 07 00 2d 3c 3a cd 5c 5c 00 00 00 00 2c 49 0e 00
0000600 8d ff ff ff 05 00 00 00 00 00 00 00 00 00 00 00
PhyllisSmith

PhyllisSmith

2019-02-07 23:39

manager   ~0000803

This is progress, but it is reporting everything that is on Bus 001. I am not sure this would be any better, but if you could temporarily unplug your Kensington Expert Mouse Trackball (as shown earlier on Bus 007) and plug the Shuttle in that usb port instead, then it would isolate the shuttle by itself so nothing else prints out.

Bus 007 Device 002: ID 047d:1020 Kensington Expert Mouse Trackball
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

You do not have to do the modprobe usbmon again just keyin:
 
lsusb (just to verify that the Contour Design shows on Bus 007)
sudo od -tx1 /dev/usbmon7 (note this is now the 7 instead of the 1)
Pierre

Pierre

2019-02-07 23:19

updater   ~0000802

I applied the two lines of code and a long list of codes began to be printed and continued for several minutes, it seems that it is infinite, here is an extract of it while it continues to unfold. what to do?


0051160 53 01 81 81 05 01 00 2d 3d 3c 30 bc 5c 5c 00 00 00 00 00
0051200 e4 9d 08 00 8d ff ff ff ff 05 00 00 00 00 00 00 00 00 00 00
0051220 00 00 00 00 00 00 00 00 00 00 00 00 00 70 16 ae 4th 92 ff ff ff
0051240 43 01 81 81 05 01 00 2d 00 30 bc 5c 5c 00 00 00 00 00 00
0051260 d9 97 09 00 00 00 00 00 05 00 00 00 05 00 00 00
0051300 00 00 00 00 00 00 00 00 16 0c 00 00 00 00 70 16
0051320 ae 4th 92 ff ff ff 53 01 81 05 01 00 2d 3c 30 bc 5c
0051340 5c 00 00 00 00 00 00 e9 97 09 00 8d ff ff ff ff 05 00 00 00
0051360 00 00 00 00 00 00 00 00 00 00 00 00 00 00 70 16
0051400 ae 4th 92 ff ff ff 43 01 81 05 01 00 2d 00 34 bc 5c
PhyllisSmith

PhyllisSmith

2019-02-07 22:59

manager   ~0000801

Sorry, it should not be at the pierre@i7-3770k - $ prompt. waiting for a new command to be typed in.
Pierre

Pierre

2019-02-07 22:34

updater   ~0000800

What does it mean: "it should NOT be at the # prompt." ?
What does "# prompt" mean ?

I never see "#" in the terminal.
PhyllisSmith

PhyllisSmith

2019-02-07 22:07

manager   ~0000799

So I interrupted gg who is sitting in front of the Mint computer to test and apparently Mint is different than Fedora! We had to first probe (the error message was referring to usbmon missing). One more test:

sudo modprobe usbmon
sudo od -tx1 /dev/usbmon1

It should NOT be at the # prompt. If it is then the above did not work again and send us the error message. There is one more thing we can try after that.
Pierre

Pierre

2019-02-07 21:37

updater   ~0000798

"Aucun" in french means: there are none, it doesn't exist. And in this case, it refers to a file or directory that seems to be the target of the command.

I tried with "sudo /usr/bin/od -tx1 /dev/usbmon1" with the same result.

I tried to move my mouse and click on their buttons, without results but obviously they are not on the same bus, so I guess that's normal.
PhyllisSmith

PhyllisSmith

2019-02-07 21:09

manager   ~0000797

I thought the "Aucun...de ce type" was originally complaining only about the bus # but maybe it does not have the command "od" . Does the french message mean "command not found"? same message as you would get if you typed in garbage like: hjyt ? (on our Mint, the od command exists). If so, then maybe you need the whole path like:

sudo /usr/bin/od -tx1 /dev/usbmon1

Also, since you have other devices on that same bus, do not be surprised if moving the mouse or something, also prints something out.

THANKS FOR YOUR PATIENCE - it can be difficult and time-consuming to test long distance!
Pierre

Pierre

2019-02-07 20:47

updater   ~0000796

I did what you suggested and made sure I clicked on the terminal window to make it focus. Then I pushed K14; no reactions, K15; no reactions. Then I tried all the buttons, jog and shuttle of the controller, without any reaction...

pierre@i7-3770k ~ $ sudo od -tx1 /dev/usbmon1
[sudo] Mot de passe de pierre :
od: /dev/usbmon1: Aucun fichier ou dossier de ce type
pierre@i7-3770k ~ $
PhyllisSmith

PhyllisSmith

2019-02-07 20:25

manager   ~0000795

Pierre - this is good news as it means your shuttle is not defective.
Just need the bus number from "Bus 001 Device 004: ID 0b33:0030 Contour Design, Inc. "

so use: sudo od -tx1 /dev/usbmon1

then if no error message like you just had, the window will just sit there and when you press shuttle K14, it should show 12 lines. And maybe GG can decode them.
Pierre

Pierre

2019-02-07 20:13

updater   ~0000794

I tested the K14 and K15 buttons on Windows10. They work.

I have very few software installed under my Win partition (I occasionally use it to de-interlace with the QTGMC script through Avisynth and VirtualDub), but I could see that VLC interacted correctly with the ShuttlePRO v2 and its K14 and K15 buttons (unfortunately the Linux version of VLC does not react to Shuttles).

I also saw that the driver that Win10 automatically installs for Shuttles, clearly identifies my controller as a "ShuttlePRO v2", despite its electronics named differently under Linux.

For your procedure in the terminal, I must not fully understand what to enter, I do not receive any feedback...


pierre@i7-3770k ~ $ lsusb
Bus 002 Device 006: ID 060b:0001 Solid Year MacAlly Keyboard
Bus 002 Device 005: ID 058f:9213 Alcor Micro Corp. MacAlly Kbd Hub
Bus 002 Device 004: ID 046d:082c Logitech, Inc.
Bus 002 Device 003: ID 045e:0040 Microsoft Corp. Wheel Mouse Optical
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 007 Device 002: ID 047d:1020 Kensington Expert Mouse Trackball
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 001 Device 004: ID 0b33:0030 Contour Design, Inc.
Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
pierre@i7-3770k ~ $ sudo od -tx1 /dev/usbmon3001
[sudo] Mot de passe de pierre :
od: /dev/usbmon3001: Aucun fichier ou dossier de ce type
pierre@i7-3770k ~ $
PhyllisSmith

PhyllisSmith

2019-02-07 16:54

manager   ~0000793

Last edited: 2019-02-07 16:55

View 2 revisions

Pierre:
A fairly easy test is as follows on linux (and if K14 or K15 produce output, it could lead to a fix):
1) as an ordinary user keyin: lsusb (the first character is a lower case L - for list)
You will see something like the following depending on which usb device you have the ShuttlePro plugged into:
     Bus 003 Device 002: ID 0b33:0030 Contour Design, Inc. ShuttlePro v2

 2) now you keyin the following: sudo od -tx1 /dev/usbmon3 where the last 3 is the same # as the Bus in above

3) focused in that same terminal window, press any shuttle key just to see what happens and you see similar lines:

0000000 80 70 99 75 53 8c ff ff 43 01 81 02 03 00 2d 00
0000020 4e 61 5c 5c 00 00 00 00 8d 2c 06 00 00 00 00 00
0000040 05 00 00 00 05 00 00 00 00 00 00 00 00 00 00 00
0000060 01 ff 00 00 00 80 70 99 75 53 8c ff ff 53 01 81
0000100 02 03 00 2d 3c 4e 61 5c 5c 00 00 00 00 b1 2c 06
0000120 00 8d ff ff ff 05 00 00 00 00 00 00 00 00 00 00
0000140 00 00 00 00 00 80 70 99 75 53 8c ff ff 43 01 81
0000160 02 03 00 2d 00 4e 61 5c 5c 00 00 00 00 3d d7 09
0000200 00 00 00 00 00 05 00 00 00 05 00 00 00 00 00 00
0000220 00 00 00 00 00 00 ff 00 00 00 80 70 99 75 53 8c
0000240 ff ff 53 01 81 02 03 00 2d 3c 4e 61 5c 5c 00 00
0000260 00 00 64 d7 09 00 8d ff ff ff 05 00 00 00 00 00

4) now press the key K14 or K15 -- if no new lines show up, then the key is non-functional. If lines do show up, send us that last set of lines (usually about 12 lines but you will have to watch the left hand number on the screen to see exactly where it starts - for example in the above the line after 0000260 would be the next key pressed)

5) use Ctrl-C on the terminal window when done to get back to the prompt.

Pierre

Pierre

2019-02-07 05:41

updater   ~0000783

I did the test with "f" in K14 and it doesn't work... it doesn't work.

Tomorrow I will try under Win10 to see if these buttons work.

It's very strange, the electronics of this Shuttle declares itself as a "ShuttlePRO", but on top, the box is well identified as a "ShuttlePRO v2" and the label below declares it as a "ShuttlePRO v2" with a serial number and everything.

I have the impression that Amazon.ca gave me a bad pass...
PhyllisSmith

PhyllisSmith

2019-02-07 05:15

manager   ~0000782

Last edited: 2019-02-07 05:16

View 2 revisions

It sounds like the pressing of the key is not generating anything so maybe K14 and K15 are different (driver?) on the Pro as opposed to the PROv2. If there is no input, then Cin can not do anything. Does K14 and K15 work on your other system where you originally tried it to make sure the hardware worked?

As an experiment, change K14 "[" to K14 "f" in the Composer section which you know works because you defined for K7 earlier. And then press K14 in the Composer and see if it goes to fullscreen.

(I am turning off the computer for the night, so will check in the morning.)

Pierre

Pierre

2019-02-07 04:57

updater   ~0000781

I had advanced the source a little, pressed on K14 then advanced the source again and pressed on K15 and... nothing appeared in the terminal.
Pierre

Pierre

2019-02-07 04:44

updater   ~0000780

"P.S. You should try changing to S7 FWD_64 it goes really, really fast and GG was having a lot of fun testing that !"

It's the Road runner on steroid!

Yes, very funny, but a little too fast to be useful... unless you're in a real hurry to get to the bathroom....

I keep the S7 FWD_16.
PhyllisSmith

PhyllisSmith

2019-02-07 04:34

manager   ~0000779

Pierre: when I looked more closely at your last output lines 2 notes ago, I see:

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

new focus: 0880013e
new translation: Viewer

But once you changed focus to the Viewer as shown in the last line just above, did you press K14 or K15 -- you need to do that and send the results and I expected to see something like:
  key: XK_KP_3 0
  key: 0
or did you press them and it showed nothing?
Pierre

Pierre

2019-02-07 04:30

updater   ~0000778

The 2 lowest buttons of the "Shuttle PRO v2"
(K12 and K13) currently allow you to go to the very beginning or end of either the source in the Viewer or the Timeline in Composer.

It would be interesting if the two buttons just above
(K10 and K11) allow them, in both directions, to go to the next cut in the Composer or to the next mark in the Viewer.
PhyllisSmith

PhyllisSmith

2019-02-07 04:19

manager   ~0000776

Pierre: that makes sense. I will have to try to figure out if we can get around the bracket problem.
P.S. You should try changing to S7 FWD_64 it goes really, really fast and GG was having a lot of fun testing that !
Pierre

Pierre

2019-02-07 03:20

updater   ~0000770

Hi Phyllis, I have an idea... maybe the problem with the K14 and K15 buttons is related to the keyboard I use; it's an old French Canadian keyboard (old standard)

The"[" and"]" signs are obtained by simultaneously pressing the "AltGr" key (the right one only) and pressing them 8 or 9

"[" = "AltGr" + "8"
"]"" = "AltGr" + "9"
Pierre

Pierre

2019-02-07 02:59

updater   ~0000769

I installed the new version of CinGG well and replaced the".shuttlerc".

S-7 REV_16 # Next 7 are reverse keys
 S-6 REV_8 # the number on the end represents speed
 S-5 REV_4 # number can be decimal up to 64
 S-4 REV_2 # 2 means 2x or double speed
 S-3 REV_1
 S-2 REV_0.5 # note 0.25 represents 1/4 speed
 S-1 REV_0.25
 S0 XK_KP_0 # Stop
 S1 FWD_0.25 # Next 7 are forward keys
 S2 FWD_0.5
 S3 FWD_1
 S4 FWD_2
 S5 FWD_4
 S6 FWD_8
 S7 FWD_16

Only found in the "Cinelerra" section.
"Viewer" and "Compose" they only contained the old code:

S-3 XK_KP_KP_Add # Fast reverse
 S-2 XK_KP_KP_6 # Play reverse
 S-1 XK_KP_KP_5 # Slow reverse
 S0 XK_KP_0 # Stop
 S1 XK_KP_KP_2 # Slow forward
 S2 XK_KP_KP_3 # Play forward
 S3 XK_KP_KP_Enter # Fast forward

I did the replacement.

The new speeds are SUPER. I expect that Sam (still looking for speed and efficiency) will really appreciate it!

Playing with these new speeds... it didn't take long for the frame by frame bug to appear...

Here is what the terminal gave me to simply advance a source in the viewer and then mark an in and out with the two buttons K14 and K15:




pierre@i7-3770k ~ $ /home/pierre/Cinelerra-GG_5.1/cin
Cinelerra Infinity - built: Feb 6 2019 13:39:34
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2018 Heroine Virtual Ltd. by Adam Williams
(c) 2007-2018 cin5 derivative by W.P. Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

RenderFarmClient::main_loop: client started
------------------------
[Default] # 0

[Resources] # 2

[Load] # 5

K5[D]: XK_Home/U
K5[U]: XK_Home/U

K6[D]: XK_Button_1/U
K6[U]: XK_Button_1/U

K7[D]: XK_Button_2/U
K7[U]: XK_Button_2/U

K8[D]: XK_Button_3/U
K8[U]: XK_Button_3/U

K9[D]: XK_End/U
K9[U]: XK_End/U

JL[]: XK_Scroll_Up/D XK_Scroll_Up/U

JR[]: XK_Scroll_Down/D XK_Scroll_Down/U

------------------------
[Cinelerra] # 1

K5[D]: XK_KP_6/U
K5[U]: XK_KP_6/U

K6[D]: XK_KP_5/U
K6[U]: XK_KP_5/U

K7[D]: XK_f/U
K7[U]: XK_f/U

K8[D]: XK_KP_2/U
K8[U]: XK_KP_2/U

K9[D]: XK_KP_3/U
K9[U]: XK_KP_3/U

K12[D]: XK_Home/U
K12[U]: XK_Home/U

K13[D]: XK_End/U
K13[U]: XK_End/U

K14[D]: XK_bracketleft/U
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/U
K15[U]: XK_bracketright/U

K1[D]: XK_i/U
K1[U]: XK_i/U

K2[D]: XK_x/U
K2[U]: XK_x/U

K3[D]: XK_c/U
K3[U]: XK_c/U

K4[D]: XK_v/U
K4[U]: XK_v/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: REV_0.25/D REV_0.25/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: FWD_0.25/D FWD_0.25/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

------------------------
[Composer] # 3

K5[D]: XK_KP_6/U
K5[U]: XK_KP_6/U

K6[D]: XK_KP_5/U
K6[U]: XK_KP_5/U

K7[D]: XK_f/U
K7[U]: XK_f/U

K8[D]: XK_KP_2/U
K8[U]: XK_KP_2/U

K9[D]: XK_KP_3/U
K9[U]: XK_KP_3/U

K12[D]: XK_Home/U
K12[U]: XK_Home/U

K13[D]: XK_End/U
K13[U]: XK_End/U

K14[D]: XK_bracketleft/U
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/U
K15[U]: XK_bracketright/U

K1[D]: XK_i/U
K1[U]: XK_i/U

K2[D]: XK_x/U
K2[U]: XK_x/U

K3[D]: XK_c/U
K3[U]: XK_c/U

K4[D]: XK_v/U
K4[U]: XK_v/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: REV_0.25/D REV_0.25/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: FWD_0.25/D FWD_0.25/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

------------------------
[Viewer] # 4

K5[D]: XK_KP_6/U
K5[U]: XK_KP_6/U

K6[D]: XK_KP_5/U
K6[U]: XK_KP_5/U

K7[D]: XK_f/U
K7[U]: XK_f/U

K8[D]: XK_KP_2/U
K8[U]: XK_KP_2/U

K9[D]: XK_KP_3/U
K9[U]: XK_KP_3/U

K12[D]: XK_Home/U
K12[U]: XK_Home/U

K13[D]: XK_End/U
K13[U]: XK_End/U

K14[D]: XK_bracketleft/U
K14[U]: XK_bracketleft/U

K15[D]: XK_bracketright/U
K15[U]: XK_bracketright/U

K1[D]: XK_i/U
K1[U]: XK_i/U

K2[D]: XK_Home/U
K2[U]: XK_Home/U

K3[D]: XK_c/U
K3[U]: XK_c/U

K4[D]: XK_End/U
K4[U]: XK_End/U

S-7[]: REV_16/D REV_16/U

S-6[]: REV_8/D REV_8/U

S-5[]: REV_4/D REV_4/U

S-4[]: REV_2/D REV_2/U

S-3[]: REV_1/D REV_1/U

S-2[]: REV_0.5/D REV_0.5/U

S-1[]: REV_0.25/D REV_0.25/U

S0[]: XK_KP_0/D XK_KP_0/U

S1[]: FWD_0.25/D FWD_0.25/U

S2[]: FWD_0.5/D FWD_0.5/U

S3[]: FWD_1/D FWD_1/U

S4[]: FWD_2/D FWD_2/U

S5[]: FWD_4/D FWD_4/U

S6[]: FWD_8/D FWD_8/U

S7[]: FWD_16/D FWD_16/U

JL[]: XK_KP_4/D XK_KP_4/U

JR[]: XK_KP_1/D XK_KP_1/U

new focus: 0880013e
new translation: Viewer
PhyllisSmith

PhyllisSmith

2019-02-07 00:10

manager   ~0000766

Pierre: K14 and K15 work here in all of Program/Composer/Viewer windows. Two possible causes could be that the newer Pro that you have has a different setup (remember how the device name was different with ShuttlePro instead of ShuttlePROv2?) or maybe the single frame problem was happening there when you used K14/K15?

I temporarily changed the Xpress to have K5 ad K9 equivalenced to [ and ] and they worked too. You may have to enable DEBUG mode in your shuttlerc and look at the terminal window where you started cin and see if it echoes the following when you hit K14 and K15:

key: XK_bracketright 1
key: XK_bracketright 0
PhyllisSmith

PhyllisSmith

2019-02-06 23:17

manager   ~0000764

I will check K14 and K15 as soon as I can grab the Pro away from GG since the Xpress does not have these keys.
PhyllisSmith

PhyllisSmith

2019-02-06 23:06

manager   ~0000763

There is a new Mint 18 build which handles a lot of different speeds. It is at:
  https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz
Updated documentation for the shuttle is at:
  https://www.cinelerra-gg.org/download/testing/shuttle.pdf
The documentation provides better information on how to modify the local shuttlerc file. You can refer to that or just look at the example below to figure out how to change the speeds.

There is a new default shuttlerc at {your cinelerra path}/shuttlerc with lines like these ONLY in the [Cinelerra] section:

 S-7 REV_16 # Next 7 are reverse keys
 S-6 REV_8 # the number on the end represents speed
 S-5 REV_4 # number can be decimal up to 64
 S-4 REV_2 # 2 means 2x or double speed
 S-3 REV_1
 S-2 REV_0.5 # note 0.25 represents 1/4 speed
 S-1 REV_0.25
 S0 XK_KP_0 # Stop
 S1 FWD_0.25 # Next 7 are forward keys
 S2 FWD_0.5
 S3 FWD_1
 S4 FWD_2
 S5 FWD_4
 S6 FWD_8
 S7 FWD_16

And a new Ubuntu 16 build:
  https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
Pierre

Pierre

2019-02-06 22:37

updater   ~0000762

The current button configuration of ShuttlePRO v2, assigns the following functions (in all modes) to the two buttons on either side of the jog/shuttle:
K14 "[" # Toggle in
K15 "]" # Toggle out

It doesn't work, selection markers don't install on sources in the Viewer.
Pierre

Pierre

2019-02-05 05:55

updater   ~0000757

6,5,f,2,3...
yes...
Pierre

Pierre

2019-02-05 05:39

updater   ~0000756

Okay, I wasn't wrong about the".shuttlerc" file, I put it in the right directory and with the dot at the beginning (to make it invisible). But I wasn't changing the right lines of code (section[Default])....

Besides, I don't know where I had my head when I wrote "keys 4 and 1, 5 and 6"... but I actually meant... 5,6,f,2,3... yes, it has nothing to do with it...

But what you did in the file, guided me to make the corrections and now it works well.

It will really take an effort to make the configuration instructions of this".shuttlerc" file, Hyper clear and simple, because linux code retarded like me, in the world of audio-visual creators... there are many...

There are no problems, I will test the new speeds well when they are ready. At that time, we will determine what works best.
PhyllisSmith

PhyllisSmith

2019-02-05 02:41

manager   ~0000755

Pierre: I forgot to mention something really important about the wheel speeds. Each speed has to have an associated key defined in the program code. Currently GG is working on the following progression pattern that makes more sense than the one I stated earlier:

1/4 speed, 1/2 speed, full speed, 2x speed, 4x speed, 8x speed, 16x speed

They can be easily changed in the code if you test them and decide that instead of 8x speed, you need 32x speed. BUT a user will not be able to change a key from 8x to 10x BECAUSE there will be no key value actually defined in the program code for that.

So we need you to set a good standard for the speeds !! I hope this is understandable.
PhyllisSmith

PhyllisSmith

2019-02-05 02:22

manager   ~0000754

Pierre: OK, the 4,1,5,6 should also work just fine for you as in the attached file. Probably I need to put more information in the documentation about the various sections of .shuttlerc file for Cinelerra versus Viewer versus Compositor.

The attached file has DEBUG turned on but I doubt you want to leave it uncommented. As soon as you change focus in cinelerra, the new .shuttlerc file is read. Remember the attached file MUST BE CALLED ".shuttlerc"

shuttlerc (1,934 bytes)
# uncomment to enable diagnostics
DEBUG

# redefine default, use
# also used for resources,load windows
[Default]
[Resources]
[Load]
 K5 XK_Home
 K6 XK_Button_1
 K7 XK_Button_2
 K8 XK_Button_3
 K9 XK_End
 JL XK_Scroll_Up
 JR XK_Scroll_Down

[Cinelerra]

 K5 XK_KP_4
 K6 XK_KP_1
 K7 "f"
 K8 XK_KP_5
 K9 XK_KP_6
 K12 XK_Home    # Beginning
 K13 XK_End     # End
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Pro Only - Clip
 K2 "x"		# Pro Only - Cut
 K3 "c"		# Pro Only - Copy
 K4 "v"		# Pro Only - Paste

 S-3 XK_KP_Add  # Fast reverse
 S-2 XK_KP_6    # Play reverse
 S-1 XK_KP_5    # Slow reverse
 S0 XK_KP_0     # Stop
 S1 XK_KP_2     # Slow forward
 S2 XK_KP_3     # Play forward
 S3 XK_KP_Enter # Fast forward
 
 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

[Composer]

 K5 XK_KP_4
 K6 XK_KP_1
 K7 "f"
 K8 XK_KP_5
 K9 XK_KP_6
 K12 XK_Home    # Beginning
 K13 XK_End     # End
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Pro Only - Clip
 K2 "x"		# Pro Only - Cut
 K3 "c"		# Pro Only - Copy
 K4 "v"		# Pro Only - Paste

 S-3 XK_KP_Add  # Fast reverse
 S-2 XK_KP_6    # Play reverse
 S-1 XK_KP_5    # Slow reverse
 S0 XK_KP_0     # Stop
 S1 XK_KP_2     # Slow forward
 S2 XK_KP_3     # Play forward
 S3 XK_KP_Enter # Fast forward
 
 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

[Viewer]

 K5 XK_KP_4
 K6 XK_KP_1
 K7 "f"
 K8 XK_KP_5
 K9 XK_KP_6
 K12 XK_Home    # Beginning
 K13 XK_End     # End
 K14 "["        # Toggle in
 K15 "]"        # Toggle out

 K1 "i"		# Pro Only - Clip
 K2 XK_Home	# Pro Only - Beginning 
 K3 "c"		# Pro Only - Copy
 K4 XK_End	# Pro Only - End

 S-3 XK_KP_Add  # Fast reverse
 S-2 XK_KP_6    # Play reverse
 S-1 XK_KP_5    # Slow reverse
 S0 XK_KP_0     # Stop
 S1 XK_KP_2     # Slow forward
 S2 XK_KP_3     # Play forward
 S3 XK_KP_Enter # Fast forward
 
 JL XK_KP_4     # Frame reverse
 JR XK_KP_1     # Frame forward

shuttlerc (1,934 bytes)
PhyllisSmith

PhyllisSmith

2019-02-05 01:54

manager   ~0000753

Pierre: I had no problem with the replacement that you used as in: K7 "f" which I did for both the compositor and viewer. Perhaps you did not rename the file correctly? It has to be ".shuttlerc" in your home directory from the user you are logged in as. That is a period in front of the name shuttlerc for what we refer to as "dot shuttlerc". You do not even have to stop cinelerra - it will just take effect. BUT as long as you are at it, you might as well take the # (pound sign) off of the DEBUG line so you can see is anything strange is happening. I will check the 4,1,5, and 6 now too and let you know.
Pierre

Pierre

2019-02-04 22:55

updater   ~0000752

Oh..... Deepl....

Not Scoling....advancing or reversing the sequence.
Pierre

Pierre

2019-02-04 22:51

updater   ~0000751

I can't understand how to reprogram the role of the ShuttleXpress buttons differently.

At the moment the configuration of the 5 basic buttons (common to both Shuttles) aims to replace those of the mouse and their precise actions depend on the context, either the cinelerra menus, the Viewer or the Composer).

I would prefer to dedicate these buttons to scrolling management (keys 4 and 1, 5 and 6) but in fixed mode, and the central button to full screen mode activation.

I'm trying to replace in the.shuttlerc K7 file XK_Button_2 by K7 "f", it doesn't work...
Pierre

Pierre

2019-02-04 16:40

updater   ~0000750

To find the speeds we should try them... maybe a list of possibilities in the".shuttlerc" file would allow everyone to adjust it to their convenience.

But the default configuration should allow a progressive acceleration from (a single) and first idle position (slower than this idle, just use the Jog...) followed by the normal speed, then a progressive acceleration to a fast speed that allows to efficiently scan a source media in the Viewer or timeline.
Pierre

Pierre

2019-02-04 16:09

updater   ~0000749

Had GG seen this page, it is from 2007 but it seems to contain information or code regarding additional positions:
https://www.linuxquestions.org/questions/programming-9/xlib-and-or-kde-determing-and-changing-window-focus-519992/
PhyllisSmith

PhyllisSmith

2019-02-04 15:42

manager   ~0000748

"add 4 new speeds to improve the acceleration fluidity " - good idea, it makes more sense to use all of the wheel positions. So from the picture, there seem to be 7 positions on each side. Currently the 3 assignments are: and what about the next line for new ones?
              50% (half speed) 100% (normal speed) 200% (double speed)
25% 50% 75% 100% 150% 200% 250%

Or what would be an alternative? GG would have to write new code for the new 4 button positions since currently Cin only has the half, normal, and double speeds.
Pierre

Pierre

2019-02-04 04:05

updater   ~0000747

Error... four new speeds on each side....
Pierre

Pierre

2019-02-04 04:02

updater   ~0000746

The shuttle ring currently has three forward positions on each side:
S1=Slow S2=Play S3=Fast S0=Stop S-1=Slow S-2=Play S-3=Fast

It is therefore not very progressive.

On the other hand I found this instruction link for iMovie-10, which includes 7 positions on each side...
http://forums.contourdesign.com/viewtopic.php?f=9&t=3576

I think it would be very advantageous to add three new speeds; more and more accelerated, in each direction, in order to improve the acceleration fluidity on each side of the shuttle. If possible, the fluidity of the acceleration of the movement should be sought, not limited to copying the current speeds offered by the keys on the keyboard.

Issue History

Date Modified Username Field Change
2019-02-03 20:26 Pierre New Issue
2019-02-03 20:26 Pierre Summary Tests and problems with "ShuttleXpress" and "ShuttlePRO v2" => Test with "ShuttleXpress" and "ShuttlePRO v2"
2019-02-04 04:02 Pierre Note Added: 0000746
2019-02-04 04:05 Pierre Note Added: 0000747
2019-02-04 04:46 Pierre Description Updated View Revisions
2019-02-04 04:47 Pierre Description Updated View Revisions
2019-02-04 04:48 Pierre Description Updated View Revisions
2019-02-04 04:50 Pierre Description Updated View Revisions
2019-02-04 04:55 Pierre Description Updated View Revisions
2019-02-04 15:42 PhyllisSmith Note Added: 0000748
2019-02-04 16:09 Pierre Note Added: 0000749
2019-02-04 16:40 Pierre Note Added: 0000750
2019-02-04 22:51 Pierre Note Added: 0000751
2019-02-04 22:55 Pierre Note Added: 0000752
2019-02-05 01:54 PhyllisSmith Note Added: 0000753
2019-02-05 02:22 PhyllisSmith File Added: shuttlerc
2019-02-05 02:22 PhyllisSmith Note Added: 0000754
2019-02-05 02:41 PhyllisSmith Note Added: 0000755
2019-02-05 05:39 Pierre Note Added: 0000756
2019-02-05 05:55 Pierre Note Added: 0000757
2019-02-06 22:37 Pierre Note Added: 0000762
2019-02-06 23:06 PhyllisSmith Note Added: 0000763
2019-02-06 23:17 PhyllisSmith Assigned To => PhyllisSmith
2019-02-06 23:17 PhyllisSmith Status new => acknowledged
2019-02-06 23:17 PhyllisSmith Note Added: 0000764
2019-02-07 00:10 PhyllisSmith Note Added: 0000766
2019-02-07 02:59 Pierre Note Added: 0000769
2019-02-07 03:20 Pierre Note Added: 0000770
2019-02-07 04:19 PhyllisSmith Note Added: 0000776
2019-02-07 04:30 Pierre Note Added: 0000778
2019-02-07 04:34 PhyllisSmith Note Added: 0000779
2019-02-07 04:44 Pierre Note Added: 0000780
2019-02-07 04:57 Pierre Note Added: 0000781
2019-02-07 05:15 PhyllisSmith Note Added: 0000782
2019-02-07 05:16 PhyllisSmith Note Edited: 0000782 View Revisions
2019-02-07 05:41 Pierre Note Added: 0000783
2019-02-07 16:54 PhyllisSmith Note Added: 0000793
2019-02-07 16:55 PhyllisSmith Note Edited: 0000793 View Revisions
2019-02-07 20:13 Pierre Note Added: 0000794
2019-02-07 20:25 PhyllisSmith Note Added: 0000795
2019-02-07 20:47 Pierre Note Added: 0000796
2019-02-07 21:09 PhyllisSmith Note Added: 0000797
2019-02-07 21:37 Pierre Note Added: 0000798
2019-02-07 22:07 PhyllisSmith Note Added: 0000799
2019-02-07 22:34 Pierre Note Added: 0000800
2019-02-07 22:59 PhyllisSmith Note Added: 0000801
2019-02-07 23:19 Pierre Note Added: 0000802
2019-02-07 23:39 PhyllisSmith Note Added: 0000803
2019-02-08 00:32 Pierre Note Added: 0000805
2019-02-08 19:17 PhyllisSmith File Added: mint_shdmp
2019-02-08 19:17 PhyllisSmith Note Added: 0000810
2019-02-09 00:49 Pierre Note Added: 0000821
2019-02-09 01:41 PhyllisSmith Note Added: 0000822
2019-02-09 01:45 PhyllisSmith Note Edited: 0000822 View Revisions
2019-02-09 01:45 PhyllisSmith Note Edited: 0000822 View Revisions
2019-02-09 01:48 PhyllisSmith Note Added: 0000823
2019-02-09 01:49 PhyllisSmith Note Edited: 0000822 View Revisions
2019-02-09 02:06 Pierre Note Added: 0000824
2019-02-09 02:29 PhyllisSmith Note Added: 0000825
2019-02-09 03:04 Pierre Note Added: 0000826
2019-02-09 19:56 PhyllisSmith Note Added: 0000829
2019-02-09 21:10 Pierre Note Added: 0000830
2019-02-10 03:18 PhyllisSmith Note Added: 0000833
2019-02-10 19:41 Pierre Note Added: 0000839
2019-02-10 22:36 PhyllisSmith Note Added: 0000846
2019-02-10 22:54 Pierre Note Added: 0000847
2019-02-10 22:56 Pierre Note Added: 0000848
2019-02-11 23:02 PhyllisSmith Note Added: 0000855
2019-02-12 06:51 Pierre Note Added: 0000857
2019-02-12 15:13 Pierre Note Added: 0000858
2019-02-12 15:59 PhyllisSmith Note Added: 0000859
2019-02-12 16:05 Pierre Note Added: 0000860
2019-02-12 16:10 Pierre Note Added: 0000861
2019-02-12 16:13 Pierre Note Added: 0000862
2019-02-12 16:44 PhyllisSmith Note Added: 0000863
2019-02-12 16:51 Pierre Note Added: 0000864
2019-02-12 16:55 PhyllisSmith Note Added: 0000865
2019-02-12 20:04 PhyllisSmith File Added: shudmp
2019-02-12 20:04 PhyllisSmith Note Added: 0000868
2019-02-13 01:31 Pierre Note Added: 0000870
2019-02-13 01:44 PhyllisSmith Note Added: 0000871
2019-02-13 02:15 Pierre Note Added: 0000873
2019-02-13 02:26 PhyllisSmith Note Added: 0000874
2019-02-13 02:36 Pierre Note Added: 0000875
2019-02-13 03:19 PhyllisSmith Note Added: 0000876
2019-02-13 03:48 Pierre Note Added: 0000877
2019-02-13 03:55 PhyllisSmith Note Added: 0000878
2019-02-13 04:10 Pierre Note Added: 0000879
2019-02-13 14:32 Pierre Note Added: 0000883
2019-02-13 16:31 PhyllisSmith Note Added: 0000885
2019-02-13 16:53 Pierre Note Added: 0000886
2019-02-13 17:06 Pierre Note Added: 0000887
2019-02-13 17:57 Pierre Note Added: 0000890
2019-02-13 20:10 Pierre Note Added: 0000893
2019-02-13 20:14 Pierre Note Added: 0000894
2019-02-13 22:32 PhyllisSmith Note Added: 0000895
2019-02-14 02:09 Pierre File Added: shuttlerc-2
2019-02-14 02:09 Pierre Note Added: 0000897
2019-02-15 01:22 Pierre Note Added: 0000905
2019-02-15 01:42 PhyllisSmith Note Added: 0000906
2019-02-15 01:59 Pierre Note Added: 0000907
2019-02-15 02:46 PhyllisSmith Note Added: 0000908
2019-02-15 10:31 MatN Note Added: 0000911
2019-02-15 18:27 Pierre Note Added: 0000913
2019-02-15 22:52 PhyllisSmith Note Added: 0000914
2019-02-16 04:35 PhyllisSmith Note Added: 0000916
2019-02-16 21:04 Pierre Note Added: 0000924
2019-02-16 21:32 PhyllisSmith Note Added: 0000925